## mx4j.remote
Class ClientProxy

    java.lang.Object
      mx4j.remote.ClientProxy

All Implemented Interfaces:
  java.lang.reflect.InvocationHandler

Direct Known Subclasses:
  ClientExceptionCatcher, ClientUnmarshaller

public class ClientProxy
extends java.lang.Object
implements java.lang.reflect.InvocationHandler

Version:
  $Revision: 1.3 $

Constructor Summary
`protected` `ClientProxy(javax.management.MBeanServerConnection target)`

Method Summary
`java.lang.Object` `invoke(java.lang.Object proxy, java.lang.reflect.Method method, java.lang.Object[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClientProxy

    protected ClientProxy(javax.management.MBeanServerConnection target)

Method Detail

### invoke

    public java.lang.Object invoke(java.lang.Object proxy,
                                   java.lang.reflect.Method method,
                                   java.lang.Object[] args)
                            throws java.lang.Throwable

  Specified by:
    `invoke` in interface `java.lang.reflect.InvocationHandler`
  Throws:
    `java.lang.Throwable`

Copyright © 2001-2003 MX4J Team. All Rights Reserved.